/* Copyright: Mathias Imming, 2014
 * Verwendung und Weitergabe nur unter Creative-Commons-Lizenz */
#include "xmc1100.h"
#include "GPIO.h"
#include "cmsis_os.h"
#include "RTE_Components.h"

#include "usic.h"
#include "CC4x.h"


int main(void) {
	/* Update the varibale SystemCoreClock */
	SystemCoreClockUpdate();

	P1_0_reset();
	P1_0_set_mode(OUTPUT_PP_GP);
	
	CC4_Init();
	USIC_INIT();
	
	P2_9_enable_digital();
	P2_9_set_mode(INPUT_PU);
	
	osDelay(osWaitForever);
	
	while(1)
	{
	}
}	

void HardFault_Handler(void) {
	int i;
	
	P1_0_set();
	
	P0_7_set_mode(OUTPUT_PP_GP);
	P0_8_set_mode(OUTPUT_PP_GP);
	P0_9_set_mode(OUTPUT_PP_GP);
	
	P0_7_reset();
	P0_9_reset();
	while (1) {
		P0_8_toggle();
		i = 0xFFFF;
		while (i--);
		i = 0xFFFF;
		while (i--);
		i = 0xFFFF;
		while (i--);
	}
}
